## debian-cd 2.0.3

=== prototype/usr/src/debian-cd/Makefile ===

default-rule:
	@echo '\n   use "make all" to make all images or e.g. "make binary-i386" for just one\n'

include Configuration
include Rules
include Rules.non-free

SHELL=/bin/sh

all: all-images
all-images: binary-i386 binary-m68k source $(CONTRIB) \
	image-md5sum image-date image-readme

binary-i386: .mkisofsrc
	$(init-tmpdir)
	$(boot-i386)
	$(init-dists)
	$(install-doc)
	$(install-main-all)
	$(install-tools-i386)
	$(install-main-arch)
	$(tools-i386)
	$(install-i386)
	$(upgrade-i386)
	$(mkisofs-main-i386)
	$(rm-tmpdir)

binary-m68k binary-alpha binary-sparc: .mkisofsrc
	$(init-tmpdir)
	$(init-dists)
	$(install-doc)
	$(install-main-all)
	$(install-main-arch)
	$(mkisofs-main-arch)
	$(rm-tmpdir)

source: .mkisofsrc
	$(init-tmpdir)
	$(boot-i386-tecra)
	$(install-doc)
	$(install-source)
	$(mkisofs-source)
	$(rm-tmpdir)

contrib: .mkisofsrc
	$(init-tmpdir)
	$(init-dists)
	$(install-doc)
	$(install-source-x11)
	$(install-contrib)
	$(mkisofs-contrib)
	$(rm-tmpdir)

contrib-non-US: .mkisofsrc
	$(init-tmpdir)
	$(install-doc)
	$(install-source-x11)
	$(install-contrib)
	$(install-non-US)
	$(mkisofs-contrib-non-US)
	$(rm-tmpdir)

non-free: .mkisofsrc
	$(init-tmpdir)
	$(install-non-free)
	$(mkisofs-non-free)
	$(rm-tmpdir)

## debian-cd 1.0.0

=== debian/changelog ===
debian-cd (1.0.0) stable unstable; urgency=low

  * What was in vars.sh is now individual files per variable in the
    vars/ directory.

  * Various edits from the experience of making the Official CDs.

 -- Bruce Perens <bruce@debian.org>  Sun, 10 Aug 1997 21:02:17 -0700

debian-cd (0.1.6) frozen unstable; urgency=low

  * Remove quotes from strings in .mkisofsrc, they were being
    put on the disc. Pad filesystems for Linux read-ahead bug.

 -- Bruce Perens <bruce@debian.org>  Fri, 13 Jun 1997 10:08:42 -0700

debian-cd (0.1.5) frozen unstable; urgency=low

  * Put vars.sh in debian/conffiles, so that a user's altered one 
    will not be over-written.

  * boot.bat was broken.

 -- Bruce Perens <bruce@debian.org>  Fri, 30 May 1997 10:46:33 -0700

debian-cd (0.1.4) frozen unstable; urgency=low

  * Add COLOPHON.txt, a readme about how the CD was produced.
    This is my last release before going on vacation, if anything
    needs to be fixed in this package for 1.3, someone else must
    fix it.

 -- Bruce Perens <bruce@debian.org>  Wed, 30 Apr 1997 12:35:02 -0700

debian-cd (0.1.3) frozen unstable; urgency=low

  * Add SOURCE.txt, a readme about source-code availability, to the
    binary CD. Make distribution both frozen and unstable. 

 -- Bruce Perens <bruce@debian.org>  Wed, 23 Apr 1997 23:22:37 -0700

debian-cd (0.1.2) unstable; urgency=low

  * Add El Torito bootable-CD patches from Helmut Geyer. 

 -- Bruce Perens <bruce@debian.org>  Sun, 23 Apr 2000 10:31:08 -0700

debian-cd (0.1.1) unstable; urgency=low

  * Change architecture to "all". 

 -- Bruce Perens <bruce@debian.org>  Fri, 18 Apr 1997 22:51:36 -0700

debian-cd (0.1.0) unstable; urgency=low

  * Initial Release.

 -- Bruce Perens <bruce@debian.org>  Fri, 18 Apr 1997 22:20:51 -0700

Local variables:
mode: debian-changelog
add-log-mailing-address: "bruce@debian.org"
End:

=== debian/control ===
Source: debian-cd
Section: devel
Priority: extra
Maintainer: Bruce Perens <bruce@debian.org>
Standards-Version: 2.1.2.2

Package: debian-cd
Architecture: all
Depends:
Description: Scripts used to create Debian CDs.
 This package installs the scripts used to generate the Official Debian CDs.
 If you want to make a customized version of Debian for distribution on CD,
 you can modify these scripts. Otherwise, you probably won't need them.

## debian-cd 2.0.3

=== debian/changelog ===
debian-cd (2.0.3) stable; urgency=low

  * add Contents-<ARCH>.gz (fixes: #26204)

 -- Philip Hands <phil@hands.com>  Tue,  1 Sep 1998 08:20:55 +0100

debian-cd (2.0.2) unstable; urgency=low

  * get rid of .html from the errata URL
  * add contents to README.official
    
 -- Philip Hands <phil@hands.com>  Fri, 24 Jul 1998 00:09:22 +0100

debian-cd (2.0.1) unstable; urgency=low

  * add the copyright/licence intro from the install docs to the main readme
  * add a reference to http://www.debian.org/2.0/errata.html to the main README
  * generally tidy up README's

 -- Philip Hands <phil@hands.com>  Thu, 23 Jul 1998 18:41:23 +0100

debian-cd (2.0.0) unstable; urgency=low

  * Suggest cdrecord (rather than Depend) since it's not needed to create
    images, only to write them.
  * get rid of purge_duff_disks hack
  * fix timestamp to use 24 hour clock and GMT
  * add README.contrib to all CD images

 -- Philip Hands <phil@hands.com>  Wed, 22 Jul 1998 12:16:16 +0100

debian-cd (1.99.18) unstable; urgency=low

  * add dependencies (closes: #9072, #19116)
  * add $(init-dists) for contrib (closes: #24465)
  * make check_mirror.pl able to deal with md5sums.gz (closes: 24418)

 -- Philip Hands <phil@hands.com>  Fri, 17 Jul 1998 22:06:16 +0100

debian-cd (1.99.17) unstable; urgency=low

  * add -p option to tecra boot mkdir
  * add missing define for ``install-source-x11''
  * fix making of .mkisofsrc

 -- Philip Hands <phil@hands.com>  Wed, 15 Jul 1998 15:16:48 +0100

debian-cd (1.99.16) unstable; urgency=low

  * add hack to get rid of old 2.0.6 disks

 -- Philip Hands <phil@hands.com>  Wed,  8 Jul 1998 17:46:18 +0100

debian-cd (1.99.15) frozen unstable; urgency=low

  * separate boot/ dir to get boot image near the start of the ISO image
    resulting in bootable CD's for all (or so I hope)
  * rework makefiles using defines instead of targets, and generally tidy up
  * fix image-md5sum and image-date targets

 -- Philip Hands <phil@hands.com>  Wed,  8 Jul 1998 13:29:52 +0100

debian-cd (1.99.14-4) frozen unstable; urgency=low

  * make mkisofs-source use resc1440tecra.bin as boot image (rather than the
    cdboot.bin hack)

 -- Philip Hands <phil@hands.com>  Tue,  7 Jul 1998 14:13:54 +0100

debian-cd (1.99.14-3) frozen unstable; urgency=low

  * fix typo in mkisofs-source target

 -- Philip Hands <phil@hands.com>  Tue,  7 Jul 1998 14:03:34 +0100

debian-cd (1.99.14-2) frozen unstable; urgency=low

  * use the normal resc1440 images for CD booting, since they are now built
    with syslinux -s
  * get rid of binary-all from the source image

 -- Philip Hands <phil@hands.com>  Tue,  7 Jul 1998 13:51:23 +0100

debian-cd (1.99.14-1) frozen unstable; urgency=low

  * This should really go in hamm, so that the scripts to build the CD's
    end up on the CD's.  Of course this will probably require a few attempts
    before the scripts here settle down, because other changes are still being
    made to hamm that affect these.
  * edit some README's and Configuration defaults.  Done with a -1 version
    so my diff's come out in the diff file
  * put the hamm --> ../hamm link back into dists

 -- Philip Hands <phil@hands.com>  Fri,  3 Jul 1998 11:31:26 +0100

debian-cd (1.99.14) stable unstable; urgency=low

  * use Andreas Jellinghaus's makefile system for building CD's (starting with
  * 0.14)

 -- Philip Hands <phil@hands.com>  Tue, 30 Jun 1998 22:15:59 +0100

=== debian/control ===
Source: debian-cd
Section: devel
Priority: extra
Maintainer: Philip Hands <phil@hands.com>
Standards-Version: 2.4.0

Package: debian-cd
Architecture: all
Depends: make, mkisofs, sysutils, unzip
Suggests: cdrecord
Description: Scripts used to create Debian CDs.
 This package installs the scripts used to generate the Official Debian CDs.
 If you want to make a customized version of Debian for distribution on CD,
 you can modify these scripts. Otherwise, you probably won't need them.

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of debmake, by Christoph Lameter,
# based on the sample debian/rules file for GNU hello by Ian Jackson.

package=debian-cd

build:
	$(checkdir)
	touch build

clean:
	$(checkdir)
	-rm -f build
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	cp -r prototype debian/tmp
# Must have debmake installed for this to work. Otherwise please copy
# /usr/bin/debstd into the debian directory and change debstd to debian/debstd
	debstd 
	dpkg-gencontrol
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## debian-cd 2.2.2

=== Makefile ===
#!/usr/bin/make -f

# Main Makefile for YACS
#
# Copyright 1999 Raphal Hertzog <hertzog@debian.org>
# See the README file for the license

# The environment variables must have been set
# before. For this you can source the CONF.sh 
# file in your shell


## DEFAULT VALUES

ifndef SIZELIMIT
SIZELIMIT=$(shell echo -n $$[ 610 * 1024 * 1024 ])
endif
ifndef TASK
TASK=$(BASEDIR)/tasks/Debian_$(CODENAME)
endif
ifndef CAPCODENAME
CAPCODENAME:=$(shell perl -e "print ucfirst("$(CODENAME)")")
endif
ifndef BINDISKINFO
BINDISKINFO="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(ARCH) Binary-$$num ($$DATE)"
endif
ifndef SRCDISKINFO
SRCDISKINFO="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num ($$DATE)"
endif
# ND=No-Date versions for README
ifndef BINDISKINFOND
BINDISKINFOND="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) $(ARCH) Binary-$$num"
endif
ifndef SRCDISKINFOND
SRCDISKINFOND="Debian GNU/Linux $(DEBVERSION) \"$(CAPCODENAME)\" - $(OFFICIAL) Source-$$num"
endif
ifndef BINVOLID
BINVOLID="Debian $(DEBVERSION) $(ARCH) Binary-$$num"
endif
ifndef SRCVOLID
SRCVOLID="Debian $(DEBVERSION) Source-$$num"
endif
ifndef MKISOFS
MKISOFS=/usr/bin/mkhybrid
endif
ifndef MKISOFS_OPTS
#For normal users
MKISOFS_OPTS=-a -r -T      
#For symlink farmers
#MKISOFS_OPTS=-a -r -F . -T  
endif
ifndef HOOK
HOOK=$(BASEDIR)/tools/$(CODENAME).hook
endif
ifndef BOOTDISKS
BOOTDISKS=$(MIRROR)/dists/$(CODENAME)/main/disks-$(ARCH)
endif

## Internal variables  
apt=$(BASEDIR)/tools/apt-selection
list2cds=$(BASEDIR)/tools/list2cds
cds2src=$(BASEDIR)/tools/cds2src
master2tasks=$(BASEDIR)/tools/master2tasks
mirrorcheck=$(BASEDIR)/tools/mirror_check
addpackages=$(BASEDIR)/tools/add_packages
adddirs=$(BASEDIR)/tools/add_dirs
add_bin_doc=$(BASEDIR)/tools/add-bin-doc
scanpackages=$(BASEDIR)/tools/scanpackages
scansources=$(BASEDIR)/tools/scansources
addfiles=$(BASEDIR)/tools/add_files
set_mkisofs_opts=$(BASEDIR)/tools/set_mkisofs_opts
strip_nonus_bin=$(BASEDIR)/tools/strip-nonUS-bin

BDIR=$(TDIR)/$(CODENAME)-$(ARCH)
ADIR=$(APTTMP)/$(CODENAME)-$(ARCH)
SDIR=$(TDIR)/$(CODENAME)-src

FIRSTDISKS=CD1 
ifdef FORCENONUSONCD1
FIRSTDISKS=CD1 CD1_NONUS
forcenonusoncd1=1
else
forcenonusoncd1=0
endif

## DEBUG STUFF ##

PrintVars:
	@num=1; \
	DATE=`date +%Y%m%d` ; \
	echo BINDISKINFO: ; \
        echo $(BINDISKINFO) ; \
	echo SRCDISKINFO: ; \
        echo $(SRCDISKINFO) ; \
	echo BINDISKINFOND: ; \
        echo $(BINDISKINFOND) ; \
	echo SRCDISKINFOND: ; \
        echo $(SRCDISKINFOND) ; \
	echo BINVOLID: ; \
        echo $(BINVOLID) ; \
	echo SRCVOLID: ; \
        echo $(SRCVOLID) ; \

## CHECKS ##

# Basic checks in order to avoid problems
ok=true
ifndef TDIR
ok=false
endif
ifndef BASEDIR
ok=false
endif
ifndef MIRROR
ok=false
endif
ifndef ARCH
ok=false
endif
ifndef CODENAME
ok=false
endif
ifndef OUT
ok=false
endif
# Never use NONFREE and EXTRANONFREE at the same time
ifdef NONFREE
ifdef EXTRANONFREE
ok=false
endif
endif
# If we have FORCENONUSONCD1 set, we must also have NONUS set
ifdef FORCENONUSONCD1
ifndef NONUS
ok=false
endif
endif

default:
	@echo "Please refer to the README file for more information"
	@echo "about the different targets available."

ok:
	@$(ok) || (echo \
	 "ERROR: Bad configuration. Please edit CONF.sh and source it ..." \
	 && false)

## INITIALIZATION ##

# Creation of the directories needed
init: ok $(TDIR) $(BDIR) $(SDIR) $(ADIR)
$(TDIR):
	@mkdir -p $(TDIR)
$(BDIR):
	@mkdir -p $(BDIR)
$(SDIR):
	@mkdir -p $(SDIR)
$(ADIR):
	@mkdir -p $(ADIR)

## CLEANINGS ##

# CLeans the current arch tree (but not packages selection info)
clean: ok bin-clean src-clean
bin-clean:
	@-rm -rf $(BDIR)/[1234567890]
	@-rm -f  $(BDIR)/packages-stamp $(BDIR)/bootable-stamp \
	         $(BDIR)/upgrade-stamp
src-clean:
	@-rm -rf $(SDIR)/[1234567890]
	@-rm -rf $(SDIR)/sources-stamp

# Completely cleans the current arch tree
realclean: distclean
distclean: ok bin-distclean src-distclean
bin-distclean:
	@-rm -rf $(BDIR)
	@-rm -rf $(ADIR)
src-distclean:
	@-rm -rf $(SDIR)


## STATUS and APT ##

# Regenerate the status file with only packages that
# are of priority standard or higher
status: init $(ADIR)/status
$(ADIR)/status:
	@echo "Generating a fake status file for apt-get and apt-cache..."
	@zcat $(MIRROR)/dists/$(CODENAME)/main/binary-$(ARCH)/Packages.gz | \
	perl -000 -ne 's/^(Package: .*)$$/$$1\nStatus: install ok installed/m; \
	               print if (/^Priority: (required|important|standard)/m or \
		       /^Section: base/m);' \
	> $(ADIR)/status
	# Updating the apt database
	@$(apt) update
	#
	# Checking the consistence of the standard system
	# If this does fail, then launch make correctstatus
	#
	@$(apt) check || $(MAKE) correctstatus

# Only useful if the standard system is broken
# It tries to build a better status file with apt-get -f install
correctstatus: status apt-update
	# You may need to launch correctstatus more than one time
	# in order to correct all dependencies
	#
	# Removing packages from the system :
	@for i in `$(apt) deselected -f install`; do \
		echo $$i; \
		perl -i -000 -ne "print unless /^Package: \Q$$i\E/m" \
		$(ADIR)/status; \
	done
	#
	# Adding packages to the system :
	@for i in `$(apt) selected -f install`; do \
	  echo $$i; \
	  $(apt) cache dumpavail | perl -000 -ne \
	      "s/^(Package: .*)\$$/\$$1\nStatus: install ok installed/m; \
	       print if /^Package: \Q$$i\E\s*\$$/m;" \
	       >> $(ADIR)/status; \
	done
	#
	# Showing the output of apt-get check :
	@$(apt) check

apt-update: status
	@echo "Apt-get is updating his files ..."
	@$(apt) update


## GENERATING LISTS ##

# Deleting the list only
deletelist: ok
	@-rm $(BDIR)/rawlist
	@-rm $(BDIR)/list

# Generates the list of packages/files to put on each CD
list: bin-list src-list

# Generate the listing of binary packages
bin-list: ok apt-update genlist $(BDIR)/1.packages
$(BDIR)/1.packages:
	@echo "Dispatching the packages on all the CDs ..."
	@$(list2cds) $(BDIR)/list $(SIZELIMIT)
ifdef FORCENONUSONCD1
	@for file in $(BDIR)/*.packages; do \
	    newfile=$${file%%.packages}_NONUS.packages; \
	    cp $$file $$newfile; \
	    $(strip_nonus_bin) $$file $$file.tmp; \
	    if (cmp -s $$file $$file.tmp) ; then \
	        rm -f $$file.tmp $$newfile ; \
	    else \
	        echo Splitting non-US packages: $$file and $$newfile ; \
	        mv -f $$file.tmp $$file; \
	    fi ;\
	done
endif

# Generate the listing for sources CDs corresponding to the packages included
# in the binary set
src-list: bin-list $(SDIR)/1.sources
$(SDIR)/1.sources:
	@echo "Dispatching the sources on all the CDs ..."
	@$(cds2src) $(SIZELIMIT)
ifdef FORCENONUSONCD1
	@for file in $(SDIR)/*.sources; do \
	    newfile=$${file%%.sources}_NONUS.sources; \
	    cp $$file $$newfile; \
	    grep -v non-US $$file >$$file.tmp; \
	    if (cmp -s $$file $$file.tmp) ; then \
	        rm -f $$file.tmp $$newfile ; \
	    else \
	        echo Splitting non-US sources: $$file and $$newfile ; \
	        mv -f $$file.tmp $$file; \
	    fi ;\
	done
endif

# Generate the complete listing of packages from the task
# Build a nice list without doubles and without spaces
genlist: ok $(BDIR)/list
$(BDIR)/list: $(BDIR)/rawlist
	@echo "Generating the complete list of packages to be included ..."
	@perl -ne 'chomp; next if /^\s*$$/; \
	          print "$$_\n" if not $$seen{$$_}; $$seen{$$_}++;' \
		  $(BDIR)/rawlist \
		  > $(BDIR)/list

# Build the raw list (cpp output) with doubles and spaces
$(BDIR)/rawlist:
ifdef FORCENONUSONCD1
	@find $(NONUS)/dists/$(CODENAME) | grep binary-.*/.*deb | \
	 sed 's/.*\///g;s/_.*//g' | sort | uniq > $(BDIR)/Debian_$(CODENAME)_nonUS
endif
	@perl -npe 's/\@ARCH\@/$(ARCH)/g' $(TASK) | \
	 cpp -nostdinc -nostdinc++ -P -undef -D ARCH=$(ARCH) -D ARCH_$(ARCH) \
	     -DFORCENONUSONCD1=$(forcenonusoncd1) \
	     -I $(BASEDIR)/tasks -I $(BDIR) - - >> $(BDIR)/rawlist

## DIRECTORIES && PACKAGES && INFOS ##

# Create all the needed directories for installing packages (plus the
# .disk directory)
tree: bin-tree src-tree
bin-tree: ok bin-list $(BDIR)/CD1/debian
$(BDIR)/CD1/debian:
	@echo "Adding the required directories to the binary CDs ..."
	@for i in $(BDIR)/*.packages; do \
		dir=$${i%%.packages}; \
		dir=$${dir##$(BDIR)/}; \
		dir=$(BDIR)/CD$$dir; \
		mkdir -p $$dir; \
		$(adddirs) $$dir; \
	done

src-tree: ok src-list $(SDIR)/CD1/debian
$(SDIR)/CD1/debian:
	@echo "Adding the required directories to the source CDs ..."
	@for i in $(SDIR)/*.sources; do \
		dir=$${i%%.sources}; \
		dir=$${dir##$(SDIR)/}; \
		dir=$(SDIR)/CD$$dir; \
		mkdir -p $$dir; \
		$(adddirs) $$dir; \
	done

# CD labels / volume ids / disk info
infos: bin-infos src-infos
bin-infos: bin-tree $(BDIR)/CD1/.disk/info
$(BDIR)/CD1/.disk/info:
	@echo "Generating the binary CD labels and their volume ids ..."
	@nb=`ls -l $(BDIR)/*.packages | wc -l | tr -d " "`; num=0;\
	 DATE=`date +%Y%m%d`; \
	for i in $(BDIR)/*.packages; do \
		num=$${i%%.packages}; num=$${num##$(BDIR)/}; \
		dir=$(BDIR)/CD$$num; \
		echo -n $(BINDISKINFO) | sed 's/_NONUS//g' > $$dir/.disk/info; \
		echo '#define DISKNAME ' $(BINDISKINFOND) \
					> $$dir/README.diskdefines; \
		echo '#define TYPE  binary' \
					>> $$dir/README.diskdefines; \
		echo '#define TYPEbinary  1' \
					>> $$dir/README.diskdefines; \
		echo '#define ARCH ' $(ARCH) \
					>> $$dir/README.diskdefines; \
		echo '#define ARCH'$(ARCH) ' 1' \
					>> $$dir/README.diskdefines; \
		echo '#define DISKNUM ' $$num \
					>> $$dir/README.diskdefines; \
		echo '#define DISKNUM'$$num ' 1' \
					>> $$dir/README.diskdefines; \
		echo '#define TOTALNUM ' $$nb \
					>> $$dir/README.diskdefines; \
		echo '#define TOTALNUM'$$nb ' 1' \
					>> $$dir/README.diskdefines; \
		echo -n $(BINVOLID) > $(BDIR)/$${num}.volid; \
		$(set_mkisofs_opts) bin $$num > $(BDIR)/$${num}.mkisofs_opts; \
	done
src-infos: src-tree $(SDIR)/CD1/.disk/info
$(SDIR)/CD1/.disk/info:
	@echo "Generating the source CD labels and their volume ids ..."
	@nb=`ls -l $(SDIR)/*.sources | wc -l | tr -d " "`; num=0;\
	 DATE=`date +%Y%m%d`; \
	for i in $(SDIR)/*.sources; do \
		num=$${i%%.sources}; num=$${num##$(SDIR)/}; \
		dir=$(SDIR)/CD$$num; \
		echo -n $(SRCDISKINFO) | sed 's/_NONUS//g' > $$dir/.disk/info; \
		echo '#define DISKNAME ' $(SRCDISKINFOND) \
					> $$dir/README.diskdefines; \
		echo '#define TYPE  source' \
					>> $$dir/README.diskdefines; \
		echo '#define TYPEsource  1' \
					>> $$dir/README.diskdefines; \
		echo '#define ARCH ' $(ARCH) \
					>> $$dir/README.diskdefines; \
		echo '#define ARCH'$(ARCH) ' 1' \
					>> $$dir/README.diskdefines; \
		echo '#define DISKNUM ' $$num \
					>> $$dir/README.diskdefines; \
		echo '#define DISKNUM'$$num ' 1' \
					>> $$dir/README.diskdefines; \
		echo '#define TOTALNUM ' $$nb \
					>> $$dir/README.diskdefines; \
		echo '#define TOTALNUM'$$nb ' 1' \
					>> $$dir/README.diskdefines; \
		echo -n $(SRCVOLID) > $(SDIR)/$${num}.volid; \
		$(set_mkisofs_opts) src $$num > $(SDIR)/$${num}.mkisofs_opts; \
	done

# Adding the deb files to the images
packages: bin-infos bin-list $(BDIR)/packages-stamp
$(BDIR)/packages-stamp:
	@echo "Adding the selected packages to each CD :"
	@for i in $(BDIR)/*.packages; do \
		dir=$${i%%.packages}; \
		n=$${dir##$(BDIR)/}; \
		dir=$(BDIR)/CD$$n; \
		echo "$$n ... "; \
	  	cat $$i | xargs -n 200 -r $(addpackages) $$dir; \
		if [ -x "$(HOOK)" ]; then \
		   cd $(BDIR) && $(HOOK) $$n before-scanpackages; \
		fi; \
		$(scanpackages) scan $$dir; \
		echo "done."; \
	done
	@#Now install the Packages and Packages.cd files
	@for i in $(BDIR)/*.packages; do \
		dir=$${i%%.packages}; \
		dir=$${dir##$(BDIR)/}; \
		dir=$(BDIR)/CD$$dir; \
		$(scanpackages) install $$dir; \
	done
	@touch $(BDIR)/packages-stamp

sources: src-infos src-list $(SDIR)/sources-stamp
$(SDIR)/sources-stamp:
	@echo "Adding the selected sources to each CD."
	@for i in $(SDIR)/*.sources; do \
		dir=$${i%%.sources}; \
		n=$${dir##$(SDIR)/}; \
		dir=$(SDIR)/CD$$n; \
		echo -n "$$n ... "; \

=== debian/changelog ===
debian-cd (2.2.2) frozen unstable; urgency=low

  * Still targeted to frozen. Documentations (README.html on the CD) updates
    & other little changes. 
  * Fixed targets bin-image and src-image to use CD$(CD) instead of $(CD).
  * Added "." after -F argument for symlink farm user. Closes: #66599
  * Misc changes for woody i386 bootdisks --jwest
  * Fixed the patch from Joey. :) ${LOCALDEBS:-$MIRROR} instead of
    ${LOCALDEBS:-MIRROR}. s/CODNAME/CODENAME/ too. Closes: #66737
  * This bug is unreproducable and the submitter didn't respond. 
    Probably a local configuration error. Closes: #66526

 -- Raphael Hertzog <hertzog@debian.org>  Fri, 30 Jun 2000 17:50:16 +0200

debian-cd (2.2.1) frozen unstable; urgency=low

  * Should go to frozen as well...
  * build.sh,build_all.sh: Better guess at size of bin CD 1
  * Added the "needed" task file as tasks/forcd1.
  * Update for m68k, they should at least build now.
  * Include upgrade-{i386,sparc,alpha,m68k} dir when available.
  * Updated README.html.in (new version provided by Anne Bezemer).
  * Added EXTRANONFREE support. It allows to generate an extra non-free CD.
    The first CDs are totally free and the last(s) CD(s) contains 
    only non-free and possibly some files from contrib.
  * Added extra file to help fine tune the CD sizes per archs
  * Edited boot-alpha to work (I hope) based on what was available in the
    README.txt in boot-floppies
  * Modified build_all.sh so that it puts each arch under a subdir and
    modified imagesums/pi-makelist to support the subdirs
  * Added FORCENONUSONCD1 support - move all non-US packages/sources to
    CD#1 of the set. We then make 2 copies of this, one with non-US and
    one without. Useful for people wanting to create non-US and US-safe
    CDs without having to spend so much disk space.
  * Added patch from Joey Hess for LOCALDEBS support. Closes: #66447
  * Added patch from Michael Schlueter (corrected cpp call when
    FORCENONUSONCD1 was not used)

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 20 May 2000 23:42:58 +0200

debian-cd (2.2.0) frozen unstable; urgency=low

  * The final debian-cd for potato ! Must go to frozen ...
  * Changes to tools/potato/boot-sparc for new bootdisk
    organization. --jwest
  * Changes to /tools/boot/potato/boot-i386 for new bootdisks --jwest
    Closes: #59250, #64124
  * Added missing semi-colon in the target pi-makelist.
  * /install/boot.bat not working because of missing loadlin.exe fixed
  * Updates to sparc bootable
  * Updates to woody/boot-i386 --jwest
  * Add powerpc support for potato (dan).
  * Incorporated some documentation (courtesy of J.A. Bezemer) :
    README.html & README.txt 
  * Make translated documentation more easily available. Closes: #64276
  * Added arm support (easy, they don't have bootable CD). 

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 18 May 2000 23:59:49 +0200

debian-cd (2.1.92) frozen unstable; urgency=low

  * This version goes to frozen since it's used for building potato CD.
    Another one will follow once we have the final boot-floppies.
    But I already upload this one because I'm getting complaints since
    the old package doesn't work with the actual boot-floppies available
    on the mirror...
  * Added files for woody (yes, people already burn woody CD images)
  * Make the second CD bootable on i386 with the "compact" image.
  * Changes to installtools.sh, change to check for documentation
    directory name by $ARCH.
    -> This change will have to be removed when all arch will have synced
    boot floppies.
  * Changes to tools/potato/boot-i386 for support of the 2.2.3 bootdisks.
    Closes: #53529 #58304
  * In Makefile, if there are multiple versions of the
    bootdisks in the source tree, the section "boot:" seems to get
    confused. Not fixed. Temporary solution, move old i386 boot
    disks out of the source archive.
  * Added a file tasks/popularity-contest listing packages by order of
    usefulness (results given by the popularity contest of course). This
    file is included at the end of the Debian_potato task in order to
    include the packages that are widely used on the first CD if possible.
  * Added a bunch of set -e.
  * Added pi-makelist target to generate the *.list files used by the
    Pseudo Image Kit. Needs isoinfo in the cdwrite package.
  * Updated README and README.devel. Explained that the main source
    is on CVS and that patch should apply on the CVS tree not on the
    source package available on the Debian FTP.
  * Added possibility to include local packages on the CD set. Documented
    it. Closes: #50640
  * Documented the fact that TMP path must be on the same partition than
    the mirror. Closes: #59524

 -- Raphael Hertzog <hertzog@debian.org>  Tue,  7 Mar 2000 19:03:44 +0100

debian-cd (2.1.91) unstable; urgency=low

  * Splitted the boot scripts for slink & potato. Updated the Makefile
    to handle this.
  * Updated the tasks/Debian_potato to use the new task-* packages.
  * New boot-i386 which does use resc2880.bin (the tecra image has
    been removed since it does no more exist in the latest boot-floppies).
  * Can now build CD with bootdisks taken from somewhere else than
    the mirror (allow you to use your own boot floppies, notably those
    built with translated documentation).
  * The documentation from the boot-floppies are now installed
    in /install and /doc by the scripts tools/$CODENAME/installtools.sh
    It was needed since the documentation of the boot-floppies does
    differ from one dist to another ...
  * Removed some cruft which is no more needed (master for potato,
    status.i386).
  * Updated README to explain that the mkhybrid package in Debian
    does support the -F option. Closes: #50141

 -- Raphael Hertzog <hertzog@debian.org>  Thu, 11 Nov 1999 20:50:26 +0100

debian-cd (2.1.90-1) unstable; urgency=low

  * Moved to contrib because of the unzip and lha dependencies.


=== debian/control ===
Source: debian-cd
Section: contrib/admin
Priority: extra
Maintainer: Raphael Hertzog <hertzog@debian.org>
Standards-Version: 3.1.1

Package: debian-cd
Architecture: all
Depends: perl5 | perl, libdigest-md5-perl | libmd5-perl, sysutils, apt (>= 0.3.11.1), dpkg-dev (>= 1.4.1.6), dpkg-multicd, make, mkhybrid | mkisofs, lynx
Recommends: lha, unzip
Description: Tools for building (Official) Debian CD set
 This package was formerly called YACS (for Yet Another CD
 Script).
 .
 It's the official way of building CD since the potato release.
 .
 Its goal is to facilitate the creation of customized Debian
 CD set.
 .
 You will need unzip for building i386 images and lha for m68k 
 images.

=== debian/rules ===
#!/usr/bin/make -f
#-*- makefile -*-
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Christoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
export DH_COMPAT=2

build: build-stamp
build-stamp:
	dh_testdir

	#CONFIGURE#
	# Add here commands to compile the package.
	#$(MAKE) 

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp install-stamp

	# Add here commands to clean up after the build process.
	#-#CLEAN#

	dh_clean

install: install-stamp
install-stamp: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/tmp.
	cp -r tools tasks data Makefile README README.devel build.sh \
              build_all.sh debian/debian-cd/usr/share/debian-cd/
	cp debian/CONF.sh debian/debian-cd/etc/debian-cd/conf.sh
	ln -sf /etc/debian-cd/conf.sh \
               debian/debian-cd/usr/share/debian-cd/CONF.sh
	find debian/debian-cd -name 'CVS' | xargs -r rm -rf
	

	touch install-stamp

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

# Build architecture-independent files here.
binary-indep: build install
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_installdocs README*
	dh_installexamples
	dh_installmenu
#	dh_installemacsen
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	# You may want to make some executables suid here
	dh_suidregister
#	dh_makeshlibs
	dh_installdeb
#	dh_perl 
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary
